Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.io
Class SAXResponseWriter

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.ajax4jsf.io.SAXResponseWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class SAXResponseWriter

extends javax.faces.context.ResponseWriter

Author:
  shura

  Realization of Faces `ResponseWriter` for Cocoon Environment. Use ONLY Markup-specific calls , send it as SAX events to `XMLConsumer` Use "State" pattern for control of events flow. TODO - implement namespace capabilites

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`SAXResponseWriter(org.xml.sax.ContentHandler consumer)`

Method Summary
`javax.faces.context.ResponseWriter` | `cloneWithWriter(java.io.Writer writer)`
`void` | `close()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `flush()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getNamespaceURI()`
`org.xml.sax.ContentHandler` | `getXmlConsumer()`
`void` | `setNamespaceURI(java.lang.String namespaceURI)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, javax.faces.component.UIComponent component)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)`
`void` | `writeComment(java.lang.Object comment)`
`void` | `writeText(char[] text, int off, int len)`
`void` | `writeText(java.lang.Object text, java.lang.String property)`
`void` | `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)`

Methods inherited from class javax.faces.context.ResponseWriter
`endCDATA, startCDATA, writeText`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXResponseWriter

    public SAXResponseWriter(org.xml.sax.ContentHandler consumer)

Parameters:
  `consumer` - - SAX events receiver for Cocoon pipeline.

Method Detail

### getXmlConsumer

    public org.xml.sax.ContentHandler getXmlConsumer()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns:
    Returns the namespaceURI.

### setNamespaceURI

    public void setNamespaceURI(java.lang.String namespaceURI)

  Parameters:
    `namespaceURI` - The namespaceURI to set.

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in class `javax.faces.context.ResponseWriter`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in class `javax.faces.context.ResponseWriter`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument()
                       throws java.io.IOException

  Specified by:
    `startDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Specified by:
    `endDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String name,
                             javax.faces.component.UIComponent component)
                      throws java.io.IOException

  Specified by:
    `startElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### endElement

    public void endElement(java.lang.String name)
                    throws java.io.IOException

  Specified by:
    `endElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeAttribute

    public void writeAttribute(java.lang.String name,
                               java.lang.Object value,
                               java.lang.String property)
                        throws java.io.IOException

  Specified by:
    `writeAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeURIAttribute

    public void writeURIAttribute(java.lang.String name,
                                  java.lang.Object value,
                                  java.lang.String property)
                           throws java.io.IOException

  Specified by:
    `writeURIAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeComment

    public void writeComment(java.lang.Object comment)
                      throws java.io.IOException

  Specified by:
    `writeComment` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeText

    public void writeText(java.lang.Object text,
                          java.lang.String property)
                   throws java.io.IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeText

    public void writeText(char[] text,
                          int off,
                          int len)
                   throws java.io.IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(java.io.Writer writer)

  Specified by:
    `cloneWithWriter` in class `javax.faces.context.ResponseWriter`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.